# BaseMAC (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.mac
Class BaseMAC

    java.lang.Object
      net.schmizz.sshj.transport.mac.BaseMAC

All Implemented Interfaces:
  MAC

Direct Known Subclasses:
  HMACMD5, HMACMD596, HMACSHA1, HMACSHA196

    public class BaseMAC

extends Object
implements MAC

Base class for `MAC` implementations based on the JCE provider.

Constructor Summary
`BaseMAC(String algorithm, int bsize, int defbsize)`

Method Summary
`byte[]` `doFinal()`
`byte[]` `doFinal(byte[] input)`
`void` `doFinal(byte[] buf, int offset)`
`int` `getBlockSize()`
`void` `init(byte[] key)`
`void` `update(byte[] foo)`
`void` `update(byte[] foo, int s, int l)`
`void` `update(long i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseMAC

    public BaseMAC(String algorithm,
                   int bsize,
                   int defbsize)

Method Detail

### doFinal

    public byte[] doFinal()

  Specified by:
    `doFinal` in interface `MAC`

### doFinal

    public byte[] doFinal(byte[] input)

  Specified by:
    `doFinal` in interface `MAC`

### doFinal

    public void doFinal(byte[] buf,
                        int offset)

  Specified by:
    `doFinal` in interface `MAC`

### getBlockSize

    public int getBlockSize()

  Specified by:
    `getBlockSize` in interface `MAC`

### init

    public void init(byte[] key)

  Specified by:
    `init` in interface `MAC`

### update

    public void update(byte[] foo,
                       int s,
                       int l)

  Specified by:
    `update` in interface `MAC`

### update

    public void update(byte[] foo)

  Specified by:
    `update` in interface `MAC`

### update

    public void update(long i)

  Specified by:
    `update` in interface `MAC`

Copyright © 2009-2011. All Rights Reserved.